//============================================================================
// shaders for ut_oildepot, a Urban Terror map by codemadeflesh
//============================================================================
//
//============================================================================
// warm afternoon sky with nice fluffy clouds
//============================================================================

textures/codey1/oilbox01
{
	nopicmip
	qer_editorimage textures/codey1/oilbox01.tga
	q3map_lightRGB 0.784 0.816 1
	surfaceparm sky
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nodlight
	q3map_sunExt 1 .89 .7 50 175 40 3 32
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 55 3
	q3map_backsplash -1 -1
	skyparms env/codey1/oilbox03 - -
}

//----------------------------------------------------------------------------
// Q3A skyseam fix: rgoer_skybox.ase - model + shader  rgoer - BIG THANKS !!!
//----------------------------------------------------------------------------

textures/codey1/oilbox02_ft
{
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_invert
	//q3map_lightfilter - use if you want the sky colours to 'project' on the main area
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		map textures/codey1/oilbox02_ft.tga
		rgbGen identityLighting
	}
}

textures/codey1/oilbox02_lf
{
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_invert
	//q3map_lightfilter
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		map textures/codey1/oilbox02_lf.tga
		rgbGen identityLighting
	}
}

textures/codey1/oilbox02_bk
{
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_invert
	//q3map_lightfilter
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		map textures/codey1/oilbox02_bk.tga
		rgbGen identityLighting
	}
}

textures/codey1/oilbox02_rt
{
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_invert
	//q3map_lightfilter
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		map textures/codey1/oilbox02_rt.tga
		rgbGen identityLighting
	}
}

textures/codey1/oilbox02_dn
{
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_invert
	//q3map_lightfilter
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		map textures/codey1/oilbox02_dn.tga
		rgbGen identityLighting
	}
}

textures/codey1/oilbox02_up
{
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_invert
	//q3map_lightfilter
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		map textures/codey1/oilbox02_up.tga
		rgbGen identityLighting
	}
}

//============================================================================
// nodraw ladder - use on brushes wrapping objects to be climbed
//============================================================================

textures/codey1/stege1
{
	qer_editorimage textures/codey1/stege1.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

//============================================================================
// textures with see-through parts
//============================================================================

textures/codey1/stegen1
{
    nopicmip
    qer_trans 0.5
    surfaceparm trans
    surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
    cull none
	{
		map textures/codey1/stegen1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//============================================================================
// grates with see-through parts - soft in distance - no mipmap pixel flicker
//============================================================================

textures/codey1/gunnebo1
{
	nopicmip
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	cull none
	sort 10

	{
		map textures/codey1/gunnebo2.tga
		blendFunc GL_ZERO GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
    {
		map textures/codey1/gunnebo1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/codey1/buzzfence1
{
	nopicmip
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	cull none
	sort 10

	{
		map textures/codey1/buzzfence2.tga
		blendFunc GL_ZERO GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
    {
		map textures/codey1/buzzfence1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

//============================================================================
// non-solid textures - to stop tripping and bumping
//============================================================================

textures/codey1/steelpipe02_nonsolid
{
    surfaceparm nonsolid
    surfaceparm trans
    qer_editorimage textures/codey1/steelpipe04.tga
	{
		map textures/codey1/steelpipe04.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

//============================================================================
// nopicmip detail surfaces - for brushes
//============================================================================

textures/codey1/h_offmonitor
{
    nopicmip
    {
		map textures/codey1/h_offmonitor.tga
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
}

textures/codey1/h_off_imac
{
    nopicmip
    {
		map textures/codey1/h_off_imac.tga
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
}

textures/codey1/planning01
{
    nopicmip
    {
		map textures/codey1/planning01.tga
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
}

textures/codey1/h_offbind
{
    nopicmip
    {
		map textures/codey1/h_offbind.tga
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
}

textures/codey1/anslagstavla
{
    nopicmip
    qer_editorimage textures/codey1/anslagstavla03.tga
    {
		map textures/codey1/anslagstavla03.tga
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
}

textures/codey1/letterbax1
{
    nopicmip
    {
		map textures/codey1/letterbax1.tga
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
}

textures/codey1/cafe_menu1
{
    nopicmip
    {
		map textures/codey1/cafe_menu1.tga
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
}

textures/codey1/officefloor
{
    qer_editorimage textures/codey1/tank_v01.tga
    {
		map textures/codey1/tank_v01.tga
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
}

//============================================================================
// posters - no alpha - use on patches flush on walls and floors
//============================================================================

textures/codey1/aardbake
{
    nopicmip
    polygonOffset
    sort 6
	{
		map textures/codey1/aardbake.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/aardwet1
{
    nopicmip
    polygonOffset
    sort 6
	{
		map textures/codey1/aardwet1.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/codey1/annclan
{
    nopicmip
    polygonOffset
    sort 6
	{
		map textures/codey1/annclan.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/codey1/aow_ad
{
    nopicmip
    polygonOffset
    sort 6
	{
		map textures/codey1/aow_ad.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/codey1/h_offchart1
{
    nopicmip
    polygonOffset
    sort 6
	{
		map textures/codey1/h_offchart1.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/mapdepo1
{
    nopicmip
    polygonOffset
    sort 6
	{
		map textures/codey1/mapdepo1.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/no_smoke
{
    nopicmip
    polygonOffset
    sort 6
	{
		map textures/codey1/no_smoke.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/sth_karta
{
    nopicmip
    polygonOffset
    sort 6
	{
		map textures/codey1/sth_karta.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/sth_poster
{
    nopicmip
    polygonOffset
    sort 6
	{
		map textures/codey1/sth_poster.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/storage_vent
{
    nopicmip
    polygonOffset
    sort 6
	{
		map textures/codey1/storage_vent.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/ukv
{
    nopicmip
    polygonOffset
    sort 6
	{
		map textures/codey1/ukv.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/worldnuke
{
    nopicmip
    polygonOffset
    sort 6
	{
		map textures/codey1/worldnuke.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//============================================================================
// posters & decals with alpha - use on patches flush on walls and floors
//============================================================================

textures/codey1/call_mom
{
    nopicmip
    surfaceparm alphashadow
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/codey1/call_mom.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/swimware1
{
    nopicmip
    surfaceparm alphashadow
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/codey1/swimware1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
} 

textures/codey1/swimware2
{
    nopicmip
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/codey1/swimware2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/a_brunn1
{
    nopicmip
    surfaceparm alphashadow
    surfaceparm trans
    qer_editorimage textures/codey1/a_brunn1.tga
    polygonOffset
    sort 10
	{
		map textures/codey1/a_brunn1.tga
        blendfunc blend 
        depthWrite 
        rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		depthFunc equal
	}
}

//============================================================================
// decal projectors - to use on patches with _decal function
//============================================================================

textures/codey1/oil_logo_e
{
    nopicmip
    surfaceparm trans
    q3map_nonplanar
    q3map_shadeangle 45
    polygonOffset
    sort 6
	{
		map textures/codey1/oil_logo_e.tga
		blendFunc GL_ONE GL_ZERO
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/oil_logo_y
{
    nopicmip
    surfaceparm trans
    q3map_nonplanar
    q3map_shadeangle 45
    polygonOffset
    sort 6
	{
		map textures/codey1/oil_logo_y.tga
		blendFunc GL_ONE GL_ZERO
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}

//============================================================================
// magic shadow maker - thanks to ratty redemption for the basic code!
//============================================================================

textures/codey1/shadow 
{ 
    qer_editorimage textures/codey1/shadow1.tga 
    qer_trans 0.50
    q3map_pointlight 
    surfaceparm nonsolid 
    surfaceparm nomarks
    surfaceparm noimpact 
    { 
        map $whiteimage 
        alphagen const 0 
        alphafunc GT0
    } 
}

//============================================================================
// light fixtures
//============================================================================

textures/codey1/lysror_500
{
    qer_editorimage textures/codey1/lysror02.tga
    q3map_surfacelight 500
    q3map_lightRGB 0.988 1 0.780
    surfaceparm nomarks
    surfaceparm nolightmap
    {
        map textures/codey1/lysror02.tga
    }
}

textures/codey1/lysror_750
{
    qer_editorimage textures/codey1/lysror02.tga
    q3map_surfacelight 750
    q3map_lightRGB 0.988 1 0.780
    surfaceparm nomarks
    surfaceparm nolightmap
    {
        map textures/codey1/lysror02.tga
    }
}

textures/codey1/lysror_1000
{
    qer_editorimage textures/codey1/lysror02.tga
    q3map_surfacelight 1000
    q3map_lightRGB 0.988 1 0.780
    surfaceparm nomarks
    surfaceparm nolightmap
    {
        map textures/codey1/lysror02.tga
    }
}

//============================================================================
// vending machine - glowing but no light emitting
//============================================================================

textures/codey1/h_off_vend 
{ 
    qer_editorimage textures/codey1/h_off_vend.tga
{ 
		map $lightmap 
		rgbGen identity 
	} 
	{ 
		map textures/codey1/h_off_vend.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		rgbGen identity 
	} 
	{
		map textures/codey1/h_off_vend3.tga
		blendfunc GL_ONE GL_ONE 
	} 
}

//============================================================================
// windows - emitting a skyblue light
//============================================================================

textures/codey1/cafe_window2_500 
{ 
    qer_editorimage textures/codey1/cafe_window2.tga
    q3map_lightRGB 0.671 0.835 1
    q3map_surfacelight 150
    q3map_backsplash 0 23
	{ 
		map $lightmap 
		rgbGen identity 
	} 
	{ 
		map textures/codey1/cafe_window2.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		rgbGen identity 
	} 
	{
		map textures/codey1/cafe_window3.tga
		blendfunc GL_ONE GL_ONE 
	} 
}

textures/codey1/h_off_win2 
{ 
    qer_editorimage textures/codey1/h_off_win2.tga 
    q3map_lightRGB 0.671 0.835 1 
    q3map_surfacelight 150
    q3map_backsplash 0 23
	{ 
		map $lightmap 
		rgbGen identity 
	} 
	{ 
		map textures/codey1/h_off_win2.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		rgbGen identity 
	} 
	{
		map textures/codey1/h_off_win3.tga
		blendfunc GL_ONE GL_ONE 
	} 
}

//============================================================================
// windows - reflective, both enviroment and generic soft white
//============================================================================

textures/codey1/cafe_window1
{
    {
        map textures/codey1/cafe_window1.tga
    }
    {
        map textures/codey1/cafe_env1.tga
        tcGen environment
        blendFunc GL_ONE GL_ONE 
    }
    { 
        map textures/codey1/cafe_window1.tga 
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen identity 
    }
}

textures/codey1/h_off_win1
{
    {
        map textures/codey1/h_off_win1.tga
    }
    {
        map textures/codey1/cafe_env1.tga
        tcGen environment
        blendFunc GL_ONE GL_ONE 
    }
    { 
        map textures/codey1/h_off_win1.tga 
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen identity 
    }
}

textures/codey1/bod_side
{
    {
        map textures/codey1/bod_side.tga
    }
    {
        map textures/codey1/oilglas1.tga
        tcGen environment
        blendFunc GL_ONE GL_ONE 
    }
    { 
        map textures/codey1/bod_side.tga 
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen identity 
    }
}

textures/codey1/storage_win
{
    {
        map textures/codey1/storage_win.tga
    }
    {
        map textures/codey1/oilglas1.tga
        tcGen environment
        blendFunc GL_ONE GL_ONE 
    }
    { 
        map textures/codey1/storage_win.tga 
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen identity 
    }
}

textures/codey1/brandbox1
{
    {
        map textures/codey1/brandbox1.tga
    }
    {
        map textures/codey1/oilglas1.tga
        tcGen environment
        blendFunc GL_ONE GL_ONE 
    }
    { 
        map textures/codey1/brandbox1.tga 
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen identity 
    }
}

//============================================================================
// a dirty mirror 'codey was ere'
//============================================================================

textures/codey1/oil_mirror1
{
	nopicmip
	qer_editorimage textures/codey1/oil_mirror1.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
    {
        map textures/codey1/oil_mirror1.tga
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
}

//============================================================================
// phonged surfaces
//============================================================================

textures/codey1/crock01nm
{
    q3map_nonplanar
    q3map_shadeangle 45
    qer_editorimage textures/codey1/crock01nm.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey1/crock01nm.tga
        blendFunc filter
    }
}

textures/codey1/cistern_md512
{
    q3map_nonplanar
    q3map_shadeangle 60
    qer_editorimage textures/codey1/cistern_md512.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey1/cistern_md512.tga
        blendFunc filter
    }
}

textures/codey1/cistern_bt512
{
    q3map_nonplanar
    q3map_shadeangle 60
    qer_editorimage textures/codey1/cistern_bt512.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey1/cistern_bt512.tga
        blendFunc filter
    }
}

//============================================================================
// flat buildings
//============================================================================

textures/codey1/far_houses1
{
    nopicmip
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
	{
		map textures/codey1/far_houses1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/far_houses3
{
    nopicmip
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
	{
		map textures/codey1/far_houses3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/far_houses4
{
    nopicmip
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
	{
		map textures/codey1/far_houses4.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/far_houses5
{
    nopicmip
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
	{
		map textures/codey1/far_houses5.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/far_houses6
{
    nopicmip
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
	{
		map textures/codey1/far_houses6.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}